<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:15 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.smx.ops.MatrixOperations
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.smx.ops.MatrixOperations";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/smx/ops/class-use/MatrixOperations.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MatrixOperations.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.smx.ops.MatrixOperations</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.column"><B>ch.javasoft.metabolic.efm.column</B></A></TD>
<TD>The <tt>column</tt> subpackage defines a 
<A HREF="../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column"><CODE>column</CODE></A> interface representing
an (intermediary) elementary mode; implementations for different number types 
are available.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.iface"><B>ch.javasoft.smx.iface</B></A></TD>
<TD>The <tt>smx.iface</tt> package contains interfaces representing matrices for
different number types.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.impl"><B>ch.javasoft.smx.impl</B></A></TD>
<TD>The <tt>smx.impl</tt> package contains classes implementing the interfaces
defined in <A HREF="../../../../../ch/javasoft/smx/iface/package-summary.html"><CODE>iface</CODE></A> package.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.ops.matrix"><B>ch.javasoft.smx.ops.matrix</B></A></TD>
<TD>The <tt>smx.ops.matrix</tt> package contains classes implementing
<A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops"><CODE>MatrixOperations</CODE></A> for matrices of
different number types&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.column"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A> in <A HREF="../../../../../ch/javasoft/metabolic/efm/column/package-summary.html">ch.javasoft.metabolic.efm.column</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/metabolic/efm/column/package-summary.html">ch.javasoft.metabolic.efm.column</A> that return <A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>VarIntMatrix.</B><B><A HREF="../../../../../ch/javasoft/metabolic/efm/column/VarIntMatrix.html#getMatrixOperations()">getMatrixOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.iface"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A> in <A HREF="../../../../../ch/javasoft/smx/iface/package-summary.html">ch.javasoft.smx.iface</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/smx/iface/package-summary.html">ch.javasoft.smx.iface</A> that return <A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A>&lt;<A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html" title="type parameter in MatrixBase">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>MatrixBase.</B><B><A HREF="../../../../../ch/javasoft/smx/iface/MatrixBase.html#getMatrixOperations()">getMatrixOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A> in <A HREF="../../../../../ch/javasoft/smx/impl/package-summary.html">ch.javasoft.smx.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/smx/impl/package-summary.html">ch.javasoft.smx.impl</A> that return <A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>AbstractDoubleMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getMatrixOperations()">getMatrixOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang">Long</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultLongMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultLongMatrix.html#getMatrixOperations()">getMatrixOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A></CODE></FONT></TD>
<TD><CODE><B>DefaultIntRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultIntRationalMatrix.html#getMatrixOperations()">getMatrixOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultIntMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultIntMatrix.html#getMatrixOperations()">getMatrixOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerMatrix.html#getMatrixOperations()">getMatrixOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getMatrixOperations()">getMatrixOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.ops.matrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A> in <A HREF="../../../../../ch/javasoft/smx/ops/matrix/package-summary.html">ch.javasoft.smx.ops.matrix</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../ch/javasoft/smx/ops/matrix/package-summary.html">ch.javasoft.smx.ops.matrix</A> that implement <A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops">MatrixOperations</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/ops/matrix/BigIntegerMatrixOperations.html" title="class in ch.javasoft.smx.ops.matrix">BigIntegerMatrixOperations</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>BigIntegerMatrixOperations</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/ops/matrix/BigIntegerRationalMatrixOperations.html" title="class in ch.javasoft.smx.ops.matrix">BigIntegerRationalMatrixOperations</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DoubleMatrixOperations</code> ...</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/ops/matrix/DoubleMatrixOperations.html" title="class in ch.javasoft.smx.ops.matrix">DoubleMatrixOperations</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DoubleMatrixOperations</code> ...</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/ops/matrix/IntMatrixOperations.html" title="class in ch.javasoft.smx.ops.matrix">IntMatrixOperations</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IntegerMatrixOperations</code> ...</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/ops/matrix/LongMatrixOperations.html" title="class in ch.javasoft.smx.ops.matrix">LongMatrixOperations</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>LongMatrixOperations</code> ...</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/smx/ops/class-use/MatrixOperations.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MatrixOperations.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
